Package com.explodingpixels.widgets

## Class PopdownButton

- java.lang.Object
- - com.explodingpixels.widgets.PopdownButton

    public class PopdownButton
    extends java.lang.Object

### Constructor Summary

Constructors
`PopdownButton​(javax.swing.Icon icon, PopupMenuCustomizer popupMenuCustomizer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.swing.JComponent` `getComponent()`
`void` `setBackgroundPainter​(MacWidgetsPainter<javax.swing.AbstractButton> painter)`
`void` `setPressedIcon​(javax.swing.Icon pressedIcon)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PopdownButton

    public PopdownButton​(javax.swing.Icon icon,
                         PopupMenuCustomizer popupMenuCustomizer)

### Method Detail

#### setBackgroundPainter

    public void setBackgroundPainter​(MacWidgetsPainter<javax.swing.AbstractButton> painter)

#### getComponent

    public javax.swing.JComponent getComponent()

#### setPressedIcon

    public void setPressedIcon​(javax.swing.Icon pressedIcon)